## imcode.util.io
Class ExceptionFreeInputStreamSource

    java.lang.Object
      imcode.util.io.InputStreamSourceWrapper
          imcode.util.io.ExceptionFreeInputStreamSource

All Implemented Interfaces:
  InputStreamSource, java.io.Serializable

    public class ExceptionFreeInputStreamSource

extends InputStreamSourceWrapper

See Also:
  Serialized Form

Constructor Summary
`ExceptionFreeInputStreamSource(InputStreamSource inputStreamSource)`

Method Summary
`java.io.InputStream` `getInputStream()`
`long` `getSize()`

Methods inherited from class imcode.util.io.InputStreamSourceWrapper
`equals, getInputStreamSource, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionFreeInputStreamSource

    public ExceptionFreeInputStreamSource(InputStreamSource inputStreamSource)

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

  Specified by:
    `getInputStream` in interface `InputStreamSource`
  Overrides:
    `getInputStream` in class `InputStreamSourceWrapper`

### getSize

    public long getSize()

  Specified by:
    `getSize` in interface `InputStreamSource`
  Overrides:
    `getSize` in class `InputStreamSourceWrapper`